<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form>
            <s:div id="globalDiv">
                #{transactionInstanceDisplay.testNewTransactionInstance()}
                <h1>#{messages['gazelle.svs.InsertATransactionInstanceForTesting']}</h1>

                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="domain"/>
                        <ui:define name="label">#{messages['gazelle.svs.Domain']}</ui:define>
                        <h:selectOneMenu id="domain" styleClass="form-control" value="#{transactionInstanceDisplay.selectedInstance.domain}">
                            <s:selectItems value="#{domain.listAllDomains()}" var="dom" label="#{dom.name}"
                                           noSelectionLabel="#{messages['gazelle.svs.Select']}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="transaction"/>
                        <ui:define name="label">#{messages['gazelle.svs.Transaction']}</ui:define>
                        <h:selectOneMenu  id="transaction" styleClass="form-control"  value="#{transactionInstanceDisplay.selectedInstance.transaction}">
                            <s:selectItems value="#{transaction.ListAllTransactions()}" var="trans" label="#{trans.keyword}"
                                           noSelectionLabel="#{messages['gazelle.svs.Select']}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="simulatedActor"/>
                        <ui:define name="label">#{messages['gazelle.svs.SimulatedActor']}</ui:define>
                        <h:selectOneMenu id="simulatedActor" styleClass="form-control" value="#{transactionInstanceDisplay.selectedInstance.simulatedActor}">
                            <s:selectItems value="#{actor.listAllActors()}" var="act" label="#{act.name}"
                                           noSelectionLabel="#{messages['gazelle.svs.Select']}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <hr lineType="solid"/>
                    <h2>#{messages['gazelle.svs.Request']}</h2>

                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="requestIssuingActor"/>
                        <ui:define name="label">#{messages['gazelle.svs.InitiatingActor']}</ui:define>
                        <h:selectOneMenu id="requestIssuingActor" styleClass="form-control"  value="#{transactionInstanceDisplay.selectedInstance.request.issuingActor}">
                            <s:selectItems value="#{actor.listAllActors()}" var="act" label="#{act.name}"
                                           noSelectionLabel="#{messages['gazelle.svs.Select']}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="requestIssuer"/>
                        <ui:define name="label">#{messages['gazelle.svs.Initiator']}</ui:define>
                        <h:inputText id="requestIssuer" value="#{transactionInstanceDisplay.selectedInstance.request.issuer}"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="requestType"/>
                        <ui:define name="label">#{messages['gazelle.svs.MessageType']}</ui:define>
                        <h:inputText id="requestType" value="#{transactionInstanceDisplay.selectedInstance.request.type}"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="requestContent"/>
                        <ui:define name="label">#{messages['gazelle.svs.MessageContent']}</ui:define>
                        <h:inputTextarea id="requestContent" value="#{transactionInstanceDisplay.requestContent}" rows="4" cols="100"/>
                    </s:decorate>
                    <hr lineType="solid"/>
                    <h2>#{messages['gazelle.svs.Response']}</h2>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="responseIssuingActor"/>
                        <ui:define name="label">#{messages['gazelle.svs.RespondingActor']}</ui:define>
                        <h:selectOneMenu id="responseIssuingActor" styleClass="form-control"  value="#{transactionInstanceDisplay.selectedInstance.response.issuingActor}">
                            <s:selectItems value="#{actor.listAllActors()}" var="act" label="#{act.name}"
                                           noSelectionLabel="#{messages['gazelle.svs.Select']}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="responseIssuer"/>
                        <ui:define name="label">#{messages['gazelle.svs.Responder']}</ui:define>
                        <h:inputText id="responseIssuer" value="#{transactionInstanceDisplay.selectedInstance.response.issuer}"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="responseType"/>
                        <ui:define name="label">#{messages['gazelle.svs.MessageType']}</ui:define>
                        <h:inputText id="responseType" value="#{transactionInstanceDisplay.selectedInstance.response.type}"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="responseContent"/>
                        <ui:define name="label">#{messages['gazelle.svs.MessageContent']}</ui:define>
                        <h:inputTextarea id="responseContent" value="#{transactionInstanceDisplay.responseContent}" rows="4" cols="100"/>
                    </s:decorate>


                </div>

                <a4j:commandButton value="#{messages['gazelle.simulator.Save']}"
                                   styleClass="gzl-btn-green"
                                   actionListener="#{transactionInstanceDisplay.testSave()}"
                                   render="globalDiv"/>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
